Package org.gradle.testing.base

# Interface TestSuiteBinarySpec

All Superinterfaces:
  `Binary`, `BinarySpec`, `Buildable`, `BuildableComponentSpec`, `CheckableComponentSpec`, `ComponentSpec`, `ModelElement`, `Named`

All Known Subinterfaces:
  `CUnitTestSuiteBinarySpec`, `GoogleTestTestSuiteBinarySpec`, `JUnitTestSuiteBinarySpec`, `JvmTestSuiteBinarySpec`, `NativeTestSuiteBinarySpec`

@Incubating public interface TestSuiteBinarySpec extends BinarySpec
A binary which runs a suite of tests.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`BinarySpec`
`getTestedBinary()`
Returns the binary tested by this test suite.
`TestSuiteSpec`
`getTestSuite()`
Returns the test suite that this binary belongs to.

### Methods inherited from interface org.gradle.platform.base.Binary

`getDisplayName`

### Methods inherited from interface org.gradle.platform.base.BinarySpec

`getInputs, getSources, getTasks, isBuildable`

### Methods inherited from interface org.gradle.api.Buildable

`getBuildDependencies`

### Methods inherited from interface org.gradle.api.BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface org.gradle.api.CheckableComponentSpec

`checkedBy, getCheckTask, setCheckTask`

### Methods inherited from interface org.gradle.platform.base.ComponentSpec

`getProjectPath`

### Methods inherited from interface org.gradle.model.ModelElement

`getDisplayName, getName`

## Method Details

### getTestSuite

TestSuiteSpec getTestSuite()
Returns the test suite that this binary belongs to.

### getTestedBinary

BinarySpec getTestedBinary()
Returns the binary tested by this test suite.